import SettingIcon from '@/assets/icons/setting.svg?react';
import { ArrowSize8 } from '@nutui/icons-react';
import styles from './user-info.module.scss';

export default function UserInfo() {
  return (
    <div>
      <div className="flex justify-end pr-4 pt-3 -mb-4">
        <SettingIcon height={24} width={24} />
      </div>
      <div className={styles.userInfo}>
        <div className={styles.avatar}>
          <img className="rounded-full overflow-hidden" src="https://loremflickr.com/80/80" alt="" />
        </div>
        <div className={styles.info}>
          <div className={styles.name}>佟大为</div>
          <div className={styles.department}>
            <span>学校</span>
            <span className="ml-2">
              <ArrowSize8 height={12} className="relative -top-[2px]" />
            </span>
          </div>
          <div>
            <span className={styles.tag}>企业管理和法务合约部</span>
            <span className={styles.tag}>变电巡检工</span>
          </div>
        </div>
      </div>
    </div>
  );
}
